Bug 458709 - "make html" on a freshly created book hangs
"make html" on a freshly created book hangs
Status: CLOSED WORKSFORME
Product: Fedora EPEL
Classification: Fedora
Component: publican (Show other bugs)
el5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Hideo
Fedora Extras Quality Assurance
ActualBug
:
: 458618 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-11 14:24 EDT by Dave Malcolm
Modified: 2009-09-07 19:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-03 01:55:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2008-08-11 14:24:31 EDT
Description of problem:
"make html" on a freshly created book seems to hang.

create_book --name='foo-bar'
cd foo-bar
make html

WARNING: PRODUCT is set to the default setting of 'Documentation', are you sure this is correct?
        Run 'make help_params' for more information on this setting

START: xml-en-US Mon Aug 11 14:14:39 EDT 2008
        copying common/en-US Common_Content
        copying common/en-US Common_Content
cleaning files
        Appendix.xml
        Author_Group.xml
        Book_Info.xml
WARNING: Unknown tag: phrase. This tag may not be displayed correctly
        Chapter.xml
        foo-bar.xml
        Preface.xml
WARNING: Unknown tag: xi:fallback. This tag may not be displayed correctly
        Revision_History.xml
END: xml-en-US Mon Aug 11 14:14:40 EDT 2008
START: test-en-US Mon Aug 11 14:14:40 EDT 2008
warning: failed to load external entity "tmp/en-US/xml/Feedback.xml"
END: test-en-US Mon Aug 11 14:19:24 EDT 2008
START: html-en-US Mon Aug 11 14:19:24 EDT 2008
make: *** [html-en-US] Interrupt

(I hit Ctrl+C after a few minutes of apparent inactivity)

Version-Release number of selected component (if applicable):
publican-0.33-0.el5

Let me know if you need any extra info on versions etc
Comment 1 Murray McAllister 2008-08-11 18:22:24 EDT
I had the same problem after re-installing publican, bug #458618
Comment 2 Jeff Fearn 2008-08-11 18:51:41 EDT
This is due to the docbook-dtds package not handling DocBook 4.5, so it is trying to fetch the DTD from the web. It's a massive DTD so it takes ages and the XSL tools do not cache the DTD.

This was fixed in Fedora by updating the docbook-dtds package, see https://bugzilla.redhat.com//show_bug.cgi?id=453513

Since this package is shipped in RHEL it can't be updated in EPEL.

Internally we ship the DTDs with publican, this is against fedora packaging rules.


As usual there is an untested work around for this problem!

Try editing the Makefile for your new book and add the following line before the include line:

DTD_VER = 4.4

This may cause some strange side affects in the output as we have customisations of the DocBook 4.5 XSL, many of which are to overcome version specific idiosyncrasies.

It will also mean that some of the supported TAGs and syntaxes no longer work as they simply aren't in 4.4.


I will see what I can do about getting an updated docbook-dtds package in RHEL. I'll post here when I have an answer.

Jeff.
Comment 3 Jeff Fearn 2008-08-14 22:30:44 EDT
*** Bug 458618 has been marked as a duplicate of this bug. ***
Comment 4 Michael Hideo 2009-06-16 21:44:34 EDT
Hi Dave,

How did the workaround work for you?

- Mike
Comment 5 Ruediger Landmann 2009-09-07 19:31:33 EDT
Cannot reproduce in vesion 1.0 --

$ publican create --name=Testbook --lang=en-US --type=book
$ cd Testbook
$ publican build --format=html --langs=en-US

works fine.

Note You need to log in before you can comment on or make changes to this bug.